/*___________________________________________________________________________*/
/* IBM Optimization Solutions and Library Optimization Library               */
/* osli.h - OSL C header file for integer control variables                  */
/* (c) IBM Corp, 1990,1997 All rights reserved.                              */
/*                                                                           */
/* US Government Users Restricted Rights - Use, duplication, or disclosure   */
/* restricted by GAS ADP Schedule Contract with IBM Corp.                    */
/*___________________________________________________________________________*/
#define OSLILN 71           /* number of integer control variables */
static  long osli[OSLILN];  /* array for integer control variables */
#define ILOGFREQ   osli[0]  /* the log frequency */
#define IPRINTUNIT osli[1]  /* unit number where output is directed */
#define IMAXFACTOR osli[2]  /* max no. of iter. between refact. */
#define IITERNUM   osli[3]  /* number of iterations OSL has performed */
#define IMAXITER   osli[4]  /* max no. of iterations OSL will perform */
#define ILOGLEVEL  osli[5]  /* Amount of detail for the simplex log */
#define IONEOBJ    osli[6]  /* One objective function (type N row)
                               flag for MPS files */
#define IQPARNUMITER osli[7] /* the number of the current EKKQPAR
                               parametric adjustment. */
#define IMAXROWS   osli[8]  /* max no. of rows allowed in the matrix */
#define IMAXCOLS   osli[9]  /* max no. of columns allowed in matrix */
#define INUMCHAR   osli[10] /* number of characters in the names of
                               the MPS fields */
#define ISTOPMASK  osli[11] /* bit mask for stopping conditions. */
#define IMAXITERB  osli[12] /* maximum number of iterations of the
                               interior-point barrier algorithm */
#define IADJACTYPE osli[13] /* formation of the adjacency matrix */
#define IFORMNTYPE osli[14] /* formation of the normal matrix */
#define IDENSECOL  osli[15] /* dense column threshold */
#define IDEVEXMODE osli[16] /* type of Devex pricing to be used */
#define INULLCHECK osli[17] /* null space checking switch */
#define IDROPROWCT osli[18] /* constraint dropping threshold */
#define IITERUFREQ osli[19] /* the frequency which ekkitru is called */
#define IPOSSBASIS osli[20] /* the potential basis flag */
#define IMAXPROJNS osli[21] /* the maximum null space projections */
#define INUMELS    osli[22] /* no. of elem. in the last created block */
#define INUMBLOCKS osli[23] /* the number of matrix blocks */
#define IMSGPOS    osli[24] /* position of the message number on the
                               output line */
#define IPAGELINES osli[25] /* the number of lines on the page */
#define INUMROWS   osli[26] /* the number of rows in the matrix */
#define INUMCOLS   osli[27] /* no. of structural variables in matrix */
#define INUMPINF   osli[28] /* current no. of primal infeasibilities */
#define INUMDINF   osli[29] /* current no. of dual infeasibilities */
#define IMODELMASK osli[30] /* bit mask that determines which parts
                               of the matrix are written or read by
                               ekkptmd or ekkgtmd */
#define IPRTINFOMASK osli[31] /* solution printing mask for ekkprts */
#define ISOLMASK     osli[32] /* print matrix mask for ekkprts */
#define IPRTMTRXMASK osli[32] /* OSL Release 1 name for ISOLMASK */
#define IEXTRABLK    osli[33] /* no. of elements in each spare block */
#define IQPARMAXITER osli[34] /* max no. of parametric adjustments
                                 that will be performed by EKKQPAR */
#define ILINELEN   osli[35] /* the length of the output line */
#define INUMNODES  osli[36] /* the maximum node number created so far */
#define IINTMASK   osli[37] /* amount of information printed in the
                               EKKMSLV log (bit mask) */
#define IFASTITS   osli[38] /* the fast iteration switch */
#define IMAXNODES  osli[39] /* maximum number of nodes to evaluate */
#define IMAXSOLS   osli[40] /* maximum number of feasible integer
                               solutions to find */
#define INUMSOLS   osli[41] /* no. of integer solutions found so far */
#define INUMINTS   osli[42] /* number of individual integer variables */
#define INUMSETS   osli[43] /* the number of sets */
#define INUMUNSAT  osli[44] /* number of integer variables at
                               fractional values */
#define IVECTOR    osli[45] /* IBM Vector Facility flag */
#define IPROBSTAT  osli[46] /* the problem status */
#define IMAJORITS  osli[47] /* max no. of decomposition iterations */
#define IPRINTSENS osli[48] /* sensitivity info. printing bit mask */
#define IMAXINTS   osli[49] /* maximum number of integer variables */
#define IMAXSETS   osli[50] /* the maximum number of sets */
#define ISTRATEGY  osli[51] /* select various steps of the MIP alg. */
#define IMAXINTINFO osli[52] /* max amount of integer information */
#define ITHRESHOLD osli[53] /* no. of int. vars. that must be fixed
                               for supernode processing to continue */
#define IHEURPASS  osli[54] /* number of heuristic passes to be made
                               by ekkmpre */
#define ISUPERTOL  osli[55] /* no. of branches allowed inside a super
                               node before supernode processing ends */
#define IROWORD    osli[56] /* the row ordering method indicator */
#define IORDUNIT   osli[57] /* row ordering read/write logical unit */
#define IMIPLENGTH osli[58] /* amount of extra info that is saved and
                               restored by the subroutine ekknodu */
#define IITERBNUM  osli[59] /* no. of iter. ekkbslv has performed */
#define IPRICETYPE osli[60] /* the type of pricing for ekknslv */
#define INUMCPU    osli[61] /* no. of slave processes */
#define IPROBSTAT2 osli[62] /* a secondary problem status variable */
#define ISMDLTYPEMASK osli[63] /* the type of model read in by
                                  ekksmdl (bit mask) */
#define ITOTALCPU  osli[64] /* total no. of processes */
#define IWHICHCPU  osli[65] /* no. of this processor */
#define ISTRIPES   osli[66] /* no. of stripes in Cholesky */
#define INUMELQ    osli[68] /* no. of cols in quadratic matrix (col
                               copy) or no. of elements in quadratic
                               matrix (index copy) */
#define IORDTHRSH  osli[69] /* threshold for matrix ordering */
#define ILPDCFLAG  osli[70] /* set to a positive number to idicate
                               the maximum number of blocks for EKKLPDC */
