/*___________________________________________________________________________*/
/* IBM Optimization Solutions and Library Optimization Library               */
/* oslr.h - OSL C header file for real control variables                     */
/* (c) IBM Corp, 1990,1997 All rights reserved.                              */
/*                                                                           */
/* US Government Users Restricted Rights - Use, duplication, or disclosure   */
/* restricted by GAS ADP Schedule Contract with IBM Corp.                    */
/*___________________________________________________________________________*/
#define OSLRLN 47             /* number of real control variables */
double  oslr[OSLRLN];         /* array for real control variables */
#define RTOLPINF     oslr[0]  /* allowed amount of primal infeasibi. */
#define RTOLDINF     oslr[1]  /* allowed amount of dual infeasibility */
#define RMAXMIN      oslr[2]  /* the weight of the linear objective */
#define RMUFACTOR    oslr[3]  /* the reduction factor for mu in the
                                 primal barrier algorithm */
#define RMULIMIT     oslr[4]  /* the lower limit for mu in the primal
                                 barrier algorithm */
#define RRGFACTOR    oslr[5]  /* the reduced gradient target
                                 reduction factor */
#define RRGLIMIT     oslr[6]  /* the reduced gradient limit for the
                                 primal barrier algorithm */
#define RFIXVAR1     oslr[7]  /* tolerance for fixing variables in
                                 the barrier method when infeasible */
#define RFIXVAR2     oslr[8]  /* the tolerance for fixing variables
                                 in the barrier method when feasible */
#define RCHOLABSTOL  oslr[9]  /* the absolute pivot tolerance for
                                 Cholesky factorization */
#define RCHOLTINYTOL oslr[10] /* the cut-off tolerance for Cholesky
                                 factorization */
#define RCHOLRELTOL  oslr[10] /* OSL Release 1 name for RCHOLTINYTOL */
#define RMULINFAC    oslr[11] /* the multiple of mu to add to the
                                 linear objective */
#define RPROJTOL     oslr[12] /* the projection error tolerance */
#define RPWEIGHT     oslr[13] /* the multiplier of the feasible
                                 objective that is used when the
                                 current soln. is primal infeasible */
#define RCHANGEWEIGHT oslr[14] /* the rate of change for Rpweight
                                  or Rdweight */
#define RBBCUTOFF    oslr[15] /* the cutoff for the branch and bound */
#define RDWEIGHT     oslr[16] /* the proportion of the feasible
                                 objective that is used when the
                                 current solution is dual infeasible */
#define ROBJVALUE    oslr[17] /* the value of the objective function */
#define RSUMPINF     oslr[18] /* sum of the primal infeasibilities */
#define RSUMDINF     oslr[19] /* the sum of the dual infeasibilities */
#define RTOLMPS      oslr[20] /* the zero tolerance for MPS data */
#define RDEGSCALE    oslr[21] /* the scale factor for all degradation */
#define RBESTSOL     oslr[22] /* best feas. int. soln. found so far */
#define RIWEIGHT     oslr[23] /* weight for each int. infeasibility */
#define RIMPROVE     oslr[24] /* the amount by which a new solution
                                 must be better */
#define RTARGET      oslr[25] /* the value of the target solution */
#define RTOLINT      oslr[26] /* the integer tolerance */
#define RBESTPOSS    oslr[27] /* the best possible solution */
#define RBESTEST     oslr[28] /* the best estimated solution */
#define RSTEPMULT    oslr[29] /* the step-length multiplier for the
                                 primal barrier algorithm */
#define RMUINIT      oslr[30] /* the initial value of mu for the
                                 primal barrier algorithm */
#define RDENSETHR    oslr[31] /* the density threshold for Cholesky
                                 processing */
#define ROBJWEIGHT   oslr[32] /* the weight given to true objective
                                 in primal composite phase 1 */
#define RLAMBDAVAL   oslr[33] /* the value of the ekkqpar parametric
                                 parameter lambda */
#define RDCCUTOFF    oslr[34] /* value of ekkqslv decomp. cutoff */
#define RDOBJVAL     oslr[35] /* value of dual objective for ekkbslv */
#define RSLAMBDA     oslr[36] /* value of ekkspar parameter lambda */
#define RSLAMBDALIM  oslr[37] /* the limiting value for the ekkspar
                                 parameter lambda */
#define RSLAMBDADELTA oslr[38] /* the incrementing value for the
                                 ekkspar parameter lambda */
#define RTHRESHOLD   oslr[39] /* the supernode processing threshold */
#define RPDGAPTOL    oslr[40] /* the barrier method primal-dual
                                 gap tolerance */
#define RPDSTEPMULT  oslr[41] /* the primal-dual barrier method
                                 step-length multiplier */
#define RPERTDIAG    oslr[42] /* the diagonal perturbation for
                                 Cholesky factorization */
#define RNETSAMP     oslr[43] /* the sample size for the ekknslv
                                 pricing algorithm */
#define RPRINTCPU    oslr[44] /* switch to print CPU time used by
                                 OSL subroutines */
#define RREGGAMMA    oslr[45] 
#define RREGDELTA    oslr[46] 
